curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/transfer/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/transfer/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/transfer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfer_id": "94d48e21-0a99-480c-b1b7-2e6d34e6eb67",
"reference_id": "P220406-LLCVLRM",
"short_reference_id": "P220406-LLCVLRM",
"source_account_name": "UQPAY SOURCE",
"destination_account_name": "UQPAY DEST",
"transfer_currency": "USD",
"transfer_amount": "1000",
"transfer_status": "pending",
"create_time": "2024-04-02T10:27:08+08:00",
"complete_time": "0001-01-01T00:00:00Z",
"created_by": "System"
}Retrieve Transfer
Get a specific transfer by specifying the transfer id.
Authorizations
The API token for login provided by UQPAY.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
Response
Retrieve a transfer successfully.
A unique UUID identifier for the transfer transaction.
"94d48e21-0a99-480c-b1b7-2e6d34e6eb67"
The reference generated by the system to identify the entity.
"P220406-LLCVLRM"
The shorter reference generated by the system to identify the entity.
"P220406-LLCVLRM"
The name of the account from which the funds are transferred.
"UQPAY SOURCE"
The name of the account receiving the transferred funds.
"UQPAY DEST"
The amount of money transferred.
"1000"
Indicates the current status of the transfer transaction. Valid values are:
completed: indicates that the transfer transaction has been successfully completed.failed: indicates that the transfer transaction has failed.
completed, failed "pending"
The timestamp when the request was initiated in the system.
"2024-04-02T10:27:08+08:00"
The timestamp when the request was successfully processed and marked as COMPLETED.
"0001-01-01T00:00:00Z"
The identifier of the user or system that initiated the transfer.
"System"

